require "httparty"

module HTTPService
  class NaviAI

    def self.start(filepath:, client_id: nil, client_type:, token:, email:, is_last: false)
      go_url = "#{ENV['parser_url']}/v2/metas"
      HTTParty.post(go_url, body: { client_id: client_id, client_type: client_type, list_meta_path: filepath, token: token, email: email, is_last: is_last }.to_json, timeout: 400)
    end

    def self.generate_csv(url, token)
      HTTParty.post(url, headers: {"Authorization": token})
    end
  end
end
